/*===========================================================================*/
/*   (Ieee/equiv.scm)                                                        */
/*   Bigloo (2.6b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 15 12:14:36 CET 2003        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -O3 -mklib -cc gcc-2.95 -fsharing -q -rm -s -unsafev -eval (set! *indent* 4) -copt -DBGL_NO_PIC -g -c Ieee/equiv.scm -indent -o objs/obj_s/Ieee/equiv.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

/* debug mode */
#define BIGLOO_DEBUG 1

#include <bigloo.h>
#include <signal.h>


/* Object type definitions */

extern bool_t BGl_2zd3zd3zz__r4_numbers_6_5z00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
static obj_t BGl_methodzd2initzd2zz__r4_equivalence_6_2z00();
static obj_t BGl__equalzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_eqzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__r4_equivalence_6_2z00();
extern bool_t bigloo_strcmp(obj_t, obj_t);
extern long bgl_date_to_seconds(obj_t);
extern obj_t string_to_symbol(char *);
extern bool_t ucs2_strcmp(obj_t, obj_t);
static obj_t BGl_symbol2525z00zz__r4_equivalence_6_2z00 = BUNSPEC;
static obj_t BGl_symbol2524z00zz__r4_equivalence_6_2z00 = BUNSPEC;
static obj_t BGl_symbol2510z00zz__r4_equivalence_6_2z00 = BUNSPEC;
static obj_t BGl_symbol2506z00zz__r4_equivalence_6_2z00 = BUNSPEC;
static obj_t BGl_symbol2505z00zz__r4_equivalence_6_2z00 = BUNSPEC;
static obj_t BGl_importedzd2moduleszd2initz00zz__r4_equivalence_6_2z00();
static obj_t BGl__eqvzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t, obj_t);
extern obj_t BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__r4_equivalence_6_2z00 = BUNSPEC;
BGL_EXPORTED_DECL bool_t BGl_equalzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
static obj_t BGl__eqzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
extern bool_t BGl_objectzd2equalzf3z21zz__objectz00(BgL_objectz00_bglt, BgL_objectz00_bglt);
static obj_t *__cnst;


DEFINE_EXPORT_PROCEDURE( BGl_eqvzf3zd2envz21zz__r4_equivalence_6_2z00, BgL_bgl__eqvza7f3za7f3za7za7__r4_equivalence_6_2za7002533za7, BGl__eqvzf3zf3zz__r4_equivalence_6_2z00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_equalzf3zd2envz21zz__r4_equivalence_6_2z00, BgL_bgl__equalza7f3za7f3za7za7__r4_equivalence_6_2za7002534za7, BGl__equalzf3zf3zz__r4_equivalence_6_2z00, 0L, 2 );
DEFINE_STRING( BGl_string2523z00zz__r4_equivalence_6_2z00, BgL_bgl_string2523za700za7za7__r4_equivalence_6_2za7002535z00, "date", 4 );
DEFINE_STRING( BGl_string2522z00zz__r4_equivalence_6_2z00, BgL_bgl_string2522za700za7za7__r4_equivalence_6_2za7002536z00, "bllong", 6 );
DEFINE_STRING( BGl_string2521z00zz__r4_equivalence_6_2z00, BgL_bgl_string2521za700za7za7__r4_equivalence_6_2za7002537z00, "belong", 6 );
DEFINE_STRING( BGl_string2520z00zz__r4_equivalence_6_2z00, BgL_bgl_string2520za700za7za7__r4_equivalence_6_2za7002538z00, "ucs2", 4 );
DEFINE_STRING( BGl_string2519z00zz__r4_equivalence_6_2z00, BgL_bgl_string2519za700za7za7__r4_equivalence_6_2za7002539z00, "custom", 6 );
DEFINE_STRING( BGl_string2518z00zz__r4_equivalence_6_2z00, BgL_bgl_string2518za700za7za7__r4_equivalence_6_2za7002540z00, "ucs2string", 10 );
DEFINE_STRING( BGl_string2517z00zz__r4_equivalence_6_2z00, BgL_bgl_string2517za700za7za7__r4_equivalence_6_2za7002541z00, "object", 6 );
DEFINE_STRING( BGl_string2516z00zz__r4_equivalence_6_2z00, BgL_bgl_string2516za700za7za7__r4_equivalence_6_2za7002542z00, "struct", 6 );
DEFINE_STRING( BGl_string2515z00zz__r4_equivalence_6_2z00, BgL_bgl_string2515za700za7za7__r4_equivalence_6_2za7002543z00, "double", 6 );
DEFINE_STRING( BGl_string2514z00zz__r4_equivalence_6_2z00, BgL_bgl_string2514za700za7za7__r4_equivalence_6_2za7002544z00, "bstring", 7 );
DEFINE_STRING( BGl_string2513z00zz__r4_equivalence_6_2z00, BgL_bgl_string2513za700za7za7__r4_equivalence_6_2za7002545z00, "vector", 6 );
DEFINE_STRING( BGl_string2512z00zz__r4_equivalence_6_2z00, BgL_bgl_string2512za700za7za7__r4_equivalence_6_2za7002546z00, "pair", 4 );
DEFINE_STRING( BGl_string2511z00zz__r4_equivalence_6_2z00, BgL_bgl_string2511za700za7za7__r4_equivalence_6_2za7002547z00, "long", 4 );
DEFINE_STRING( BGl_string2509z00zz__r4_equivalence_6_2z00, BgL_bgl_string2509za700za7za7__r4_equivalence_6_2za7002548z00, "foreign", 7 );
DEFINE_STRING( BGl_string2508z00zz__r4_equivalence_6_2z00, BgL_bgl_string2508za700za7za7__r4_equivalence_6_2za7002549z00, "/tmp/bigloo/runtime/./Ieee/equiv.scm", 36 );
DEFINE_STRING( BGl_string2507z00zz__r4_equivalence_6_2z00, BgL_bgl_string2507za700za7za7__r4_equivalence_6_2za7002550z00, "symbol", 6 );
DEFINE_EXPORT_PROCEDURE( BGl_eqzf3zd2envz21zz__r4_equivalence_6_2z00, BgL_bgl__eqza7f3za7f3za7za7__r4_equivalence_6_2za7002551za7, BGl__eqzf3zf3zz__r4_equivalence_6_2z00, 0L, 2 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long BgL_checksumz00_1009, char * BgL_fromz00_1010)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__r4_equivalence_6_2z00))
{ 
BGl_requirezd2initializa7ationz75zz__r4_equivalence_6_2z00 = 
BBOOL(((bool_t)0)); 
BGl_cnstzd2initzd2zz__r4_equivalence_6_2z00(); 
BGl_importedzd2moduleszd2initz00zz__r4_equivalence_6_2z00(); 
BGl_methodzd2initzd2zz__r4_equivalence_6_2z00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__r4_equivalence_6_2z00()
{ AN_OBJECT;
{ /* ./Ieee/equiv.scm 14 */
BGl_symbol2505z00zz__r4_equivalence_6_2z00 = 
string_to_symbol("eq?"); 
BGl_symbol2506z00zz__r4_equivalence_6_2z00 = 
string_to_symbol("eqv?"); 
BGl_symbol2510z00zz__r4_equivalence_6_2z00 = 
string_to_symbol("equal?"); 
BGl_symbol2524z00zz__r4_equivalence_6_2z00 = 
string_to_symbol("method-init"); 
return ( 
BGl_symbol2525z00zz__r4_equivalence_6_2z00 = 
string_to_symbol("%import@__r4_equivalence_6_2"), BUNSPEC) ;} 
}



/* eq? */
BGL_EXPORTED_DEF bool_t BGl_eqzf3zf3zz__r4_equivalence_6_2z00(obj_t BgL_obj1z00_1, obj_t BgL_obj2z00_2)
{ AN_OBJECT;
{ /* ./Ieee/equiv.scm 61 */
{ /* ./Ieee/equiv.scm 62 */
obj_t BgL_symbol2059z00_1000;
BgL_symbol2059z00_1000 = BGl_symbol2505z00zz__r4_equivalence_6_2z00; 
{ /* ./Ieee/equiv.scm 62 */

PUSH_TRACE(BgL_symbol2059z00_1000); BUNSPEC; 
{ /* ./Ieee/equiv.scm 62 */
bool_t BgL_aux2058z00_1001;
BgL_aux2058z00_1001 = 
(BgL_obj1z00_1==BgL_obj2z00_2); 
POP_TRACE(); 
return BgL_aux2058z00_1001;} } } } 
}



/* _eq? */
obj_t BGl__eqzf3zf3zz__r4_equivalence_6_2z00(obj_t BgL_envz00_911, obj_t BgL_obj1z00_912, obj_t BgL_obj2z00_913)
{ AN_OBJECT;
{ /* ./Ieee/equiv.scm 61 */
{ /* ./Ieee/equiv.scm 62 */
bool_t BgL_auxz00_1025;
{ /* ./Ieee/equiv.scm 62 */
bool_t BgL_res2526z00_1006;
{ /* ./Ieee/equiv.scm 62 */
obj_t BgL_symbol2059z00_1004;
BgL_symbol2059z00_1004 = BGl_symbol2505z00zz__r4_equivalence_6_2z00; 
{ /* ./Ieee/equiv.scm 62 */

PUSH_TRACE(BgL_symbol2059z00_1004); BUNSPEC; 
{ /* ./Ieee/equiv.scm 62 */
bool_t BgL_aux2058z00_1005;
BgL_aux2058z00_1005 = 
(BgL_obj1z00_912==BgL_obj2z00_913); 
POP_TRACE(); 
BgL_res2526z00_1006 = BgL_aux2058z00_1005; } } } 
BgL_auxz00_1025 = BgL_res2526z00_1006; } 
return 
BBOOL(BgL_auxz00_1025);} } 
}



/* eqv? */
BGL_EXPORTED_DEF bool_t BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(obj_t BgL_obj1z00_3, obj_t BgL_obj2z00_4)
{ AN_OBJECT;
{ /* ./Ieee/equiv.scm 67 */
{ /* ./Ieee/equiv.scm 69 */
obj_t BgL_symbol2063z00_903;
BgL_symbol2063z00_903 = BGl_symbol2506z00zz__r4_equivalence_6_2z00; 
{ /* ./Ieee/equiv.scm 69 */

PUSH_TRACE(BgL_symbol2063z00_903); BUNSPEC; 
{ /* ./Ieee/equiv.scm 69 */
bool_t BgL_aux2062z00_904;
if(
(BgL_obj1z00_3==BgL_obj2z00_4))
{ /* ./Ieee/equiv.scm 69 */
BgL_aux2062z00_904 = ((bool_t)1); }  else 
{ /* ./Ieee/equiv.scm 69 */
if(
INTEGERP(BgL_obj1z00_3))
{ /* ./Ieee/equiv.scm 71 */
if(
INTEGERP(BgL_obj2z00_4))
{ /* ./Ieee/equiv.scm 72 */
BgL_aux2062z00_904 = 
BGl_2zd3zd3zz__r4_numbers_6_5z00(BgL_obj1z00_3, BgL_obj2z00_4); }  else 
{ /* ./Ieee/equiv.scm 72 */
BgL_aux2062z00_904 = ((bool_t)0); } }  else 
{ /* ./Ieee/equiv.scm 71 */
if(
REALP(BgL_obj1z00_3))
{ /* ./Ieee/equiv.scm 74 */
if(
REALP(BgL_obj2z00_4))
{ /* ./Ieee/equiv.scm 75 */
BgL_aux2062z00_904 = 
BGl_2zd3zd3zz__r4_numbers_6_5z00(BgL_obj1z00_3, BgL_obj2z00_4); }  else 
{ /* ./Ieee/equiv.scm 75 */
BgL_aux2062z00_904 = ((bool_t)0); } }  else 
{ /* ./Ieee/equiv.scm 77 */
bool_t BgL_test1045z00_466;
BgL_test1045z00_466 = 
SYMBOLP(BgL_obj1z00_3); 
if(BgL_test1045z00_466)
{ /* ./Ieee/equiv.scm 77 */
{ /* ./Ieee/equiv.scm 78 */
bool_t BgL__andtest_1009z00_467;
BgL__andtest_1009z00_467 = 
SYMBOLP(BgL_obj2z00_4); 
if(BgL__andtest_1009z00_467)
{ /* ./Ieee/equiv.scm 79 */
obj_t BgL_arg1047z00_468;obj_t BgL_arg1048z00_469;
{ /* ./Ieee/equiv.scm 79 */
obj_t BgL_symbolz00_763;
if(BgL_test1045z00_466)
{ /* ./Ieee/equiv.scm 79 */
BgL_symbolz00_763 = BgL_obj1z00_3; }  else 
{ /* ./Ieee/equiv.scm 79 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2506z00zz__r4_equivalence_6_2z00, BGl_string2507z00zz__r4_equivalence_6_2z00, BgL_obj1z00_3, BGl_string2508z00zz__r4_equivalence_6_2z00, 
BINT(((long)2694))); 
exit( -1 );} 
BgL_arg1047z00_468 = 
SYMBOL_TO_STRING(BgL_symbolz00_763); } 
{ /* ./Ieee/equiv.scm 80 */
obj_t BgL_symbolz00_764;
if(BgL__andtest_1009z00_467)
{ /* ./Ieee/equiv.scm 80 */
BgL_symbolz00_764 = BgL_obj2z00_4; }  else 
{ /* ./Ieee/equiv.scm 80 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2506z00zz__r4_equivalence_6_2z00, BGl_string2507z00zz__r4_equivalence_6_2z00, BgL_obj2z00_4, BGl_string2508z00zz__r4_equivalence_6_2z00, 
BINT(((long)2724))); 
exit( -1 );} 
BgL_arg1048z00_469 = 
SYMBOL_TO_STRING(BgL_symbolz00_764); } 
BgL_aux2062z00_904 = 
bigloo_strcmp(BgL_arg1047z00_468, BgL_arg1048z00_469); }  else 
{ /* ./Ieee/equiv.scm 78 */
BgL_aux2062z00_904 = ((bool_t)0); } } }  else 
{ /* ./Ieee/equiv.scm 81 */
bool_t BgL_test1053z00_470;
BgL_test1053z00_470 = 
FOREIGNP(BgL_obj1z00_3); 
if(BgL_test1053z00_470)
{ /* ./Ieee/equiv.scm 81 */
if(
FOREIGNP(BgL_obj2z00_4))
{ /* ./Ieee/equiv.scm 83 */
obj_t BgL_auxz00_1067;obj_t BgL_auxz00_1062;
if(
FOREIGNP(BgL_obj2z00_4))
{ /* ./Ieee/equiv.scm 83 */
BgL_auxz00_1067 = BgL_obj2z00_4
; }  else 
{ /* ./Ieee/equiv.scm 83 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2506z00zz__r4_equivalence_6_2z00, BGl_string2509z00zz__r4_equivalence_6_2z00, BgL_obj2z00_4, BGl_string2508z00zz__r4_equivalence_6_2z00, 
BINT(((long)2786))); 
exit( -1 );} 
if(BgL_test1053z00_470)
{ /* ./Ieee/equiv.scm 83 */
BgL_auxz00_1062 = BgL_obj1z00_3
; }  else 
{ /* ./Ieee/equiv.scm 83 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2506z00zz__r4_equivalence_6_2z00, BGl_string2509z00zz__r4_equivalence_6_2z00, BgL_obj1z00_3, BGl_string2508z00zz__r4_equivalence_6_2z00, 
BINT(((long)2786))); 
exit( -1 );} 
BgL_aux2062z00_904 = 
FOREIGN_EQP(BgL_auxz00_1062, BgL_auxz00_1067); }  else 
{ /* ./Ieee/equiv.scm 82 */
BgL_aux2062z00_904 = ((bool_t)0); } }  else 
{ /* ./Ieee/equiv.scm 81 */
BgL_aux2062z00_904 = ((bool_t)0); } } } } } 
POP_TRACE(); 
return BgL_aux2062z00_904;} } } } 
}



/* _eqv? */
obj_t BGl__eqvzf3zf3zz__r4_equivalence_6_2z00(obj_t BgL_envz00_914, obj_t BgL_obj1z00_915, obj_t BgL_obj2z00_916)
{ AN_OBJECT;
{ /* ./Ieee/equiv.scm 67 */
{ /* ./Ieee/equiv.scm 69 */
bool_t BgL_auxz00_1075;
BgL_auxz00_1075 = 
BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(BgL_obj1z00_915, BgL_obj2z00_916); 
return 
BBOOL(BgL_auxz00_1075);} } 
}



/* equal? */
BGL_EXPORTED_DEF bool_t BGl_equalzf3zf3zz__r4_equivalence_6_2z00(obj_t BgL_obj1z00_5, obj_t BgL_obj2z00_6)
{ AN_OBJECT;
{ /* ./Ieee/equiv.scm 90 */
{ /* ./Ieee/equiv.scm 92 */
obj_t BgL_symbol2067z00_905;
BgL_symbol2067z00_905 = BGl_symbol2510z00zz__r4_equivalence_6_2z00; 
{ /* ./Ieee/equiv.scm 92 */

PUSH_TRACE(BgL_symbol2067z00_905); BUNSPEC; 
{ /* ./Ieee/equiv.scm 92 */
bool_t BgL_aux2066z00_906;
if(
(BgL_obj1z00_5==BgL_obj2z00_6))
{ /* ./Ieee/equiv.scm 92 */
BgL_aux2066z00_906 = ((bool_t)1); }  else 
{ /* ./Ieee/equiv.scm 94 */
bool_t BgL_test1062z00_473;
BgL_test1062z00_473 = 
INTEGERP(BgL_obj1z00_5); 
if(BgL_test1062z00_473)
{ /* ./Ieee/equiv.scm 94 */
{ /* ./Ieee/equiv.scm 95 */
bool_t BgL_test1063z00_474;
BgL_test1063z00_474 = 
INTEGERP(BgL_obj2z00_6); 
if(BgL_test1063z00_474)
{ /* ./Ieee/equiv.scm 96 */
long BgL_n1z00_773;long BgL_n2z00_774;
{ /* ./Ieee/equiv.scm 96 */
obj_t BgL_auxz00_1085;
if(BgL_test1062z00_473)
{ /* ./Ieee/equiv.scm 96 */
BgL_auxz00_1085 = BgL_obj1z00_5
; }  else 
{ /* ./Ieee/equiv.scm 96 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2510z00zz__r4_equivalence_6_2z00, BGl_string2511z00zz__r4_equivalence_6_2z00, BgL_obj1z00_5, BGl_string2508z00zz__r4_equivalence_6_2z00, 
BINT(((long)3192))); 
exit( -1 );} 
BgL_n1z00_773 = 
(long)CINT(BgL_auxz00_1085); } 
{ /* ./Ieee/equiv.scm 96 */
obj_t BgL_auxz00_1091;
if(BgL_test1063z00_474)
{ /* ./Ieee/equiv.scm 96 */
BgL_auxz00_1091 = BgL_obj2z00_6
; }  else 
{ /* ./Ieee/equiv.scm 96 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2510z00zz__r4_equivalence_6_2z00, BGl_string2511z00zz__r4_equivalence_6_2z00, BgL_obj2z00_6, BGl_string2508z00zz__r4_equivalence_6_2z00, 
BINT(((long)3197))); 
exit( -1 );} 
BgL_n2z00_774 = 
(long)CINT(BgL_auxz00_1091); } 
BgL_aux2066z00_906 = 
(BgL_n1z00_773==BgL_n2z00_774); }  else 
{ /* ./Ieee/equiv.scm 95 */
BgL_aux2066z00_906 = ((bool_t)0); } } }  else 
{ /* ./Ieee/equiv.scm 94 */
if(
SYMBOLP(BgL_obj1z00_5))
{ /* ./Ieee/equiv.scm 98 */
BgL_aux2066z00_906 = ((bool_t)0); }  else 
{ /* ./Ieee/equiv.scm 100 */
bool_t BgL_test1067z00_476;
BgL_test1067z00_476 = 
PAIRP(BgL_obj1z00_5); 
if(BgL_test1067z00_476)
{ /* ./Ieee/equiv.scm 100 */
{ /* ./Ieee/equiv.scm 101 */
bool_t BgL__andtest_1011z00_477;
BgL__andtest_1011z00_477 = 
PAIRP(BgL_obj2z00_6); 
if(BgL__andtest_1011z00_477)
{ /* ./Ieee/equiv.scm 101 */
bool_t BgL__andtest_1012z00_478;
{ /* ./Ieee/equiv.scm 101 */
obj_t BgL_arg1079z00_481;obj_t BgL_arg1080z00_482;
{ /* ./Ieee/equiv.scm 101 */
obj_t BgL_pairz00_778;
if(BgL_test1067z00_476)
{ /* ./Ieee/equiv.scm 101 */
BgL_pairz00_778 = BgL_obj1z00_5; }  else 
{ /* ./Ieee/equiv.scm 101 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2510z00zz__r4_equivalence_6_2z00, BGl_string2512z00zz__r4_equivalence_6_2z00, BgL_obj1z00_5, BGl_string2508z00zz__r4_equivalence_6_2z00, 
BINT(((long)3303))); 
exit( -1 );} 
BgL_arg1079z00_481 = 
CAR(BgL_pairz00_778); } 
{ /* ./Ieee/equiv.scm 101 */
obj_t BgL_pairz00_779;
if(BgL__andtest_1011z00_477)
{ /* ./Ieee/equiv.scm 101 */
BgL_pairz00_779 = BgL_obj2z00_6; }  else 
{ /* ./Ieee/equiv.scm 101 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2510z00zz__r4_equivalence_6_2z00, BGl_string2512z00zz__r4_equivalence_6_2z00, BgL_obj2z00_6, BGl_string2508z00zz__r4_equivalence_6_2z00, 
BINT(((long)3314))); 
exit( -1 );} 
BgL_arg1080z00_482 = 
CAR(BgL_pairz00_779); } 
BgL__andtest_1012z00_478 = 
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(BgL_arg1079z00_481, BgL_arg1080z00_482); } 
if(BgL__andtest_1012z00_478)
{ /* ./Ieee/equiv.scm 102 */
obj_t BgL_arg1069z00_479;obj_t BgL_arg1073z00_480;
{ /* ./Ieee/equiv.scm 102 */
obj_t BgL_pairz00_780;
if(
PAIRP(BgL_obj1z00_5))
{ /* ./Ieee/equiv.scm 102 */
BgL_pairz00_780 = BgL_obj1z00_5; }  else 
{ /* ./Ieee/equiv.scm 102 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2510z00zz__r4_equivalence_6_2z00, BGl_string2512z00zz__r4_equivalence_6_2z00, BgL_obj1z00_5, BGl_string2508z00zz__r4_equivalence_6_2z00, 
BINT(((long)3339))); 
exit( -1 );} 
BgL_arg1069z00_479 = 
CDR(BgL_pairz00_780); } 
{ /* ./Ieee/equiv.scm 102 */
obj_t BgL_pairz00_781;
if(
PAIRP(BgL_obj2z00_6))
{ /* ./Ieee/equiv.scm 102 */
BgL_pairz00_781 = BgL_obj2z00_6; }  else 
{ /* ./Ieee/equiv.scm 102 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2510z00zz__r4_equivalence_6_2z00, BGl_string2512z00zz__r4_equivalence_6_2z00, BgL_obj2z00_6, BGl_string2508z00zz__r4_equivalence_6_2z00, 
BINT(((long)3350))); 
exit( -1 );} 
BgL_arg1073z00_480 = 
CDR(BgL_pairz00_781); } 
BgL_aux2066z00_906 = 
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(BgL_arg1069z00_479, BgL_arg1073z00_480); }  else 
{ /* ./Ieee/equiv.scm 101 */
BgL_aux2066z00_906 = ((bool_t)0); } }  else 
{ /* ./Ieee/equiv.scm 101 */
BgL_aux2066z00_906 = ((bool_t)0); } } }  else 
{ /* ./Ieee/equiv.scm 103 */
bool_t BgL_test1085z00_483;
BgL_test1085z00_483 = 
VECTORP(BgL_obj1z00_5); 
if(BgL_test1085z00_483)
{ /* ./Ieee/equiv.scm 103 */
{ /* ./Ieee/equiv.scm 104 */
int BgL_lobj1z00_484;
{ /* ./Ieee/equiv.scm 104 */
obj_t BgL_vectorz00_783;
if(BgL_test1085z00_483)
{ /* ./Ieee/equiv.scm 104 */
BgL_vectorz00_783 = BgL_obj1z00_5; }  else 
{ /* ./Ieee/equiv.scm 104 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2510z00zz__r4_equivalence_6_2z00, BGl_string2513z00zz__r4_equivalence_6_2z00, BgL_obj1z00_5, BGl_string2508z00zz__r4_equivalence_6_2z00, 
BINT(((long)3416))); 
exit( -1 );} 
BgL_lobj1z00_484 = 
VECTOR_LENGTH(BgL_vectorz00_783); } 
{ /* ./Ieee/equiv.scm 105 */
bool_t BgL__andtest_1013z00_485;
BgL__andtest_1013z00_485 = 
VECTORP(BgL_obj2z00_6); 
if(BgL__andtest_1013z00_485)
{ /* ./Ieee/equiv.scm 106 */
bool_t BgL__andtest_1014z00_486;
{ /* ./Ieee/equiv.scm 106 */
int BgL_arg1105z00_497;
{ /* ./Ieee/equiv.scm 106 */
obj_t BgL_vectorz00_785;
if(BgL__andtest_1013z00_485)
{ /* ./Ieee/equiv.scm 106 */
BgL_vectorz00_785 = BgL_obj2z00_6; }  else 
{ /* ./Ieee/equiv.scm 106 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2510z00zz__r4_equivalence_6_2z00, BGl_string2513z00zz__r4_equivalence_6_2z00, BgL_obj2z00_6, BGl_string2508z00zz__r4_equivalence_6_2z00, 
BINT(((long)3475))); 
exit( -1 );} 
BgL_arg1105z00_497 = 
VECTOR_LENGTH(BgL_vectorz00_785); } 
{ /* ./Ieee/equiv.scm 106 */
long BgL_auxz00_1145;long BgL_auxz00_1143;
BgL_auxz00_1145 = 
(long)(BgL_lobj1z00_484); 
BgL_auxz00_1143 = 
(long)(BgL_arg1105z00_497); 
BgL__andtest_1014z00_486 = 
(BgL_auxz00_1143==BgL_auxz00_1145); } } 
if(BgL__andtest_1014z00_486)
{ /* ./Ieee/equiv.scm 107 */
bool_t BgL__andtest_1015z00_487;
{ /* ./Ieee/equiv.scm 107 */
int BgL_arg1099z00_495;int BgL_arg1100z00_496;
{ /* ./Ieee/equiv.scm 107 */
obj_t BgL_vectorz00_788;
if(
VECTORP(BgL_obj1z00_5))
{ /* ./Ieee/equiv.scm 107 */
BgL_vectorz00_788 = BgL_obj1z00_5; }  else 
{ /* ./Ieee/equiv.scm 107 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2510z00zz__r4_equivalence_6_2z00, BGl_string2513z00zz__r4_equivalence_6_2z00, BgL_obj1z00_5, BGl_string2508z00zz__r4_equivalence_6_2z00, 
BINT(((long)3513))); 
exit( -1 );} 
BgL_arg1099z00_495 = 
VECTOR_TAG(BgL_vectorz00_788); } 
{ /* ./Ieee/equiv.scm 107 */
obj_t BgL_vectorz00_789;
if(
VECTORP(BgL_obj2z00_6))
{ /* ./Ieee/equiv.scm 107 */
BgL_vectorz00_789 = BgL_obj2z00_6; }  else 
{ /* ./Ieee/equiv.scm 107 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2510z00zz__r4_equivalence_6_2z00, BGl_string2513z00zz__r4_equivalence_6_2z00, BgL_obj2z00_6, BGl_string2508z00zz__r4_equivalence_6_2z00, 
BINT(((long)3531))); 
exit( -1 );} 
BgL_arg1100z00_496 = 
VECTOR_TAG(BgL_vectorz00_789); } 
{ /* ./Ieee/equiv.scm 107 */
long BgL_auxz00_1163;long BgL_auxz00_1161;
BgL_auxz00_1163 = 
(long)(BgL_arg1100z00_496); 
BgL_auxz00_1161 = 
(long)(BgL_arg1099z00_495); 
BgL__andtest_1015z00_487 = 
(BgL_auxz00_1161==BgL_auxz00_1163); } } 
if(BgL__andtest_1015z00_487)
{ 
long BgL_iz00_488;
BgL_iz00_488 = ((long)0); 
BgL_testz00_489:
{ /* ./Ieee/equiv.scm 109 */
bool_t BgL__ortest_1016z00_490;
{ /* ./Ieee/equiv.scm 109 */
long BgL_auxz00_1167;
BgL_auxz00_1167 = 
(long)(BgL_lobj1z00_484); 
BgL__ortest_1016z00_490 = 
(BgL_iz00_488==BgL_auxz00_1167); } 
if(BgL__ortest_1016z00_490)
{ /* ./Ieee/equiv.scm 109 */
BgL_aux2066z00_906 = BgL__ortest_1016z00_490; }  else 
{ /* ./Ieee/equiv.scm 110 */
bool_t BgL__andtest_1017z00_491;
{ /* ./Ieee/equiv.scm 110 */
obj_t BgL_arg1092z00_493;obj_t BgL_arg1093z00_494;
{ /* ./Ieee/equiv.scm 110 */
obj_t BgL_vectorz00_794;int BgL_kz00_795;
if(
VECTORP(BgL_obj1z00_5))
{ /* ./Ieee/equiv.scm 110 */
BgL_vectorz00_794 = BgL_obj1z00_5; }  else 
{ /* ./Ieee/equiv.scm 110 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2510z00zz__r4_equivalence_6_2z00, BGl_string2513z00zz__r4_equivalence_6_2z00, BgL_obj1z00_5, BGl_string2508z00zz__r4_equivalence_6_2z00, 
BINT(((long)3622))); 
exit( -1 );} 
BgL_kz00_795 = 
(int)(BgL_iz00_488); 
BgL_arg1092z00_493 = 
VECTOR_REF(BgL_vectorz00_794,BgL_kz00_795); } 
{ /* ./Ieee/equiv.scm 111 */
obj_t BgL_vectorz00_796;int BgL_kz00_797;
if(
VECTORP(BgL_obj2z00_6))
{ /* ./Ieee/equiv.scm 111 */
BgL_vectorz00_796 = BgL_obj2z00_6; }  else 
{ /* ./Ieee/equiv.scm 111 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2510z00zz__r4_equivalence_6_2z00, BGl_string2513z00zz__r4_equivalence_6_2z00, BgL_obj2z00_6, BGl_string2508z00zz__r4_equivalence_6_2z00, 
BINT(((long)3652))); 
exit( -1 );} 
BgL_kz00_797 = 
(int)(BgL_iz00_488); 
BgL_arg1093z00_494 = 
VECTOR_REF(BgL_vectorz00_796,BgL_kz00_797); } 
BgL__andtest_1017z00_491 = 
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(BgL_arg1092z00_493, BgL_arg1093z00_494); } 
if(BgL__andtest_1017z00_491)
{ 
long BgL_iz00_1187;
BgL_iz00_1187 = 
(BgL_iz00_488+((long)1)); 
BgL_iz00_488 = BgL_iz00_1187; 
goto BgL_testz00_489;}  else 
{ /* ./Ieee/equiv.scm 110 */
BgL_aux2066z00_906 = ((bool_t)0); } } } }  else 
{ /* ./Ieee/equiv.scm 107 */
BgL_aux2066z00_906 = ((bool_t)0); } }  else 
{ /* ./Ieee/equiv.scm 106 */
BgL_aux2066z00_906 = ((bool_t)0); } }  else 
{ /* ./Ieee/equiv.scm 105 */
BgL_aux2066z00_906 = ((bool_t)0); } } } }  else 
{ /* ./Ieee/equiv.scm 113 */
bool_t BgL_test1110z00_498;
BgL_test1110z00_498 = 
STRINGP(BgL_obj1z00_5); 
if(BgL_test1110z00_498)
{ /* ./Ieee/equiv.scm 113 */
{ /* ./Ieee/equiv.scm 114 */
bool_t BgL__andtest_1018z00_499;
BgL__andtest_1018z00_499 = 
STRINGP(BgL_obj2z00_6); 
if(BgL__andtest_1018z00_499)
{ /* ./Ieee/equiv.scm 114 */
obj_t BgL_string1z00_802;obj_t BgL_string2z00_803;
if(BgL_test1110z00_498)
{ /* ./Ieee/equiv.scm 114 */
BgL_string1z00_802 = BgL_obj1z00_5; }  else 
{ /* ./Ieee/equiv.scm 114 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2510z00zz__r4_equivalence_6_2z00, BGl_string2514z00zz__r4_equivalence_6_2z00, BgL_obj1z00_5, BGl_string2508z00zz__r4_equivalence_6_2z00, 
BINT(((long)3749))); 
exit( -1 );} 
if(BgL__andtest_1018z00_499)
{ /* ./Ieee/equiv.scm 114 */
BgL_string2z00_803 = BgL_obj2z00_6; }  else 
{ /* ./Ieee/equiv.scm 114 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2510z00zz__r4_equivalence_6_2z00, BGl_string2514z00zz__r4_equivalence_6_2z00, BgL_obj2z00_6, BGl_string2508z00zz__r4_equivalence_6_2z00, 
BINT(((long)3754))); 
exit( -1 );} 
BgL_aux2066z00_906 = 
bigloo_strcmp(BgL_string1z00_802, BgL_string2z00_803); }  else 
{ /* ./Ieee/equiv.scm 114 */
BgL_aux2066z00_906 = ((bool_t)0); } } }  else 
{ /* ./Ieee/equiv.scm 115 */
bool_t BgL_test1113z00_500;
BgL_test1113z00_500 = 
REALP(BgL_obj1z00_5); 
if(BgL_test1113z00_500)
{ /* ./Ieee/equiv.scm 115 */
{ /* ./Ieee/equiv.scm 116 */
bool_t BgL__andtest_1019z00_501;
BgL__andtest_1019z00_501 = 
REALP(BgL_obj2z00_6); 
if(BgL__andtest_1019z00_501)
{ /* ./Ieee/equiv.scm 117 */
double BgL_r1z00_804;double BgL_r2z00_805;
{ /* ./Ieee/equiv.scm 117 */
obj_t BgL_auxz00_1206;
if(BgL_test1113z00_500)
{ /* ./Ieee/equiv.scm 117 */
BgL_auxz00_1206 = BgL_obj1z00_5
; }  else 
{ /* ./Ieee/equiv.scm 117 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2510z00zz__r4_equivalence_6_2z00, BGl_string2515z00zz__r4_equivalence_6_2z00, BgL_obj1z00_5, BGl_string2508z00zz__r4_equivalence_6_2z00, 
BINT(((long)3825))); 
exit( -1 );} 
BgL_r1z00_804 = 
REAL_TO_DOUBLE(BgL_auxz00_1206); } 
{ /* ./Ieee/equiv.scm 117 */
obj_t BgL_auxz00_1212;
if(BgL__andtest_1019z00_501)
{ /* ./Ieee/equiv.scm 117 */
BgL_auxz00_1212 = BgL_obj2z00_6
; }  else 
{ /* ./Ieee/equiv.scm 117 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2510z00zz__r4_equivalence_6_2z00, BGl_string2515z00zz__r4_equivalence_6_2z00, BgL_obj2z00_6, BGl_string2508z00zz__r4_equivalence_6_2z00, 
BINT(((long)3830))); 
exit( -1 );} 
BgL_r2z00_805 = 
REAL_TO_DOUBLE(BgL_auxz00_1212); } 
BgL_aux2066z00_906 = 
(BgL_r1z00_804==BgL_r2z00_805); }  else 
{ /* ./Ieee/equiv.scm 116 */
BgL_aux2066z00_906 = ((bool_t)0); } } }  else 
{ /* ./Ieee/equiv.scm 118 */
bool_t BgL_test1116z00_502;
BgL_test1116z00_502 = 
STRUCTP(BgL_obj1z00_5); 
if(BgL_test1116z00_502)
{ /* ./Ieee/equiv.scm 118 */
{ /* ./Ieee/equiv.scm 119 */
int BgL_lobj1z00_503;
{ /* ./Ieee/equiv.scm 119 */
obj_t BgL_sz00_806;
if(BgL_test1116z00_502)
{ /* ./Ieee/equiv.scm 119 */
BgL_sz00_806 = BgL_obj1z00_5; }  else 
{ /* ./Ieee/equiv.scm 119 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2510z00zz__r4_equivalence_6_2z00, BGl_string2516z00zz__r4_equivalence_6_2z00, BgL_obj1z00_5, BGl_string2508z00zz__r4_equivalence_6_2z00, 
BINT(((long)3897))); 
exit( -1 );} 
BgL_lobj1z00_503 = 
STRUCT_LENGTH(BgL_sz00_806); } 
{ /* ./Ieee/equiv.scm 120 */
bool_t BgL__andtest_1020z00_504;
BgL__andtest_1020z00_504 = 
STRUCTP(BgL_obj2z00_6); 
if(BgL__andtest_1020z00_504)
{ /* ./Ieee/equiv.scm 121 */
bool_t BgL__andtest_1021z00_505;
{ /* ./Ieee/equiv.scm 121 */
int BgL_arg1130z00_513;
{ /* ./Ieee/equiv.scm 121 */
obj_t BgL_sz00_808;
if(BgL__andtest_1020z00_504)
{ /* ./Ieee/equiv.scm 121 */
BgL_sz00_808 = BgL_obj2z00_6; }  else 
{ /* ./Ieee/equiv.scm 121 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2510z00zz__r4_equivalence_6_2z00, BGl_string2516z00zz__r4_equivalence_6_2z00, BgL_obj2z00_6, BGl_string2508z00zz__r4_equivalence_6_2z00, 
BINT(((long)3956))); 
exit( -1 );} 
BgL_arg1130z00_513 = 
STRUCT_LENGTH(BgL_sz00_808); } 
{ /* ./Ieee/equiv.scm 121 */
long BgL_auxz00_1235;long BgL_auxz00_1233;
BgL_auxz00_1235 = 
(long)(BgL_lobj1z00_503); 
BgL_auxz00_1233 = 
(long)(BgL_arg1130z00_513); 
BgL__andtest_1021z00_505 = 
(BgL_auxz00_1233==BgL_auxz00_1235); } } 
if(BgL__andtest_1021z00_505)
{ 
long BgL_iz00_506;
BgL_iz00_506 = ((long)0); 
BgL_testz00_507:
{ /* ./Ieee/equiv.scm 123 */
bool_t BgL__ortest_1022z00_508;
{ /* ./Ieee/equiv.scm 123 */
long BgL_auxz00_1239;
BgL_auxz00_1239 = 
(long)(BgL_lobj1z00_503); 
BgL__ortest_1022z00_508 = 
(BgL_iz00_506==BgL_auxz00_1239); } 
if(BgL__ortest_1022z00_508)
{ /* ./Ieee/equiv.scm 123 */
BgL_aux2066z00_906 = BgL__ortest_1022z00_508; }  else 
{ /* ./Ieee/equiv.scm 124 */
bool_t BgL__andtest_1023z00_509;
{ /* ./Ieee/equiv.scm 124 */
obj_t BgL_arg1123z00_511;obj_t BgL_arg1124z00_512;
{ /* ./Ieee/equiv.scm 124 */
obj_t BgL_sz00_813;int BgL_kz00_814;
if(
STRUCTP(BgL_obj1z00_5))
{ /* ./Ieee/equiv.scm 124 */
BgL_sz00_813 = BgL_obj1z00_5; }  else 
{ /* ./Ieee/equiv.scm 124 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2510z00zz__r4_equivalence_6_2z00, BGl_string2516z00zz__r4_equivalence_6_2z00, BgL_obj1z00_5, BGl_string2508z00zz__r4_equivalence_6_2z00, 
BINT(((long)4050))); 
exit( -1 );} 
BgL_kz00_814 = 
(int)(BgL_iz00_506); 
BgL_arg1123z00_511 = 
STRUCT_REF(BgL_sz00_813, BgL_kz00_814); } 
{ /* ./Ieee/equiv.scm 124 */
obj_t BgL_sz00_815;int BgL_kz00_816;
if(
STRUCTP(BgL_obj2z00_6))
{ /* ./Ieee/equiv.scm 124 */
BgL_sz00_815 = BgL_obj2z00_6; }  else 
{ /* ./Ieee/equiv.scm 124 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2510z00zz__r4_equivalence_6_2z00, BGl_string2516z00zz__r4_equivalence_6_2z00, BgL_obj2z00_6, BGl_string2508z00zz__r4_equivalence_6_2z00, 
BINT(((long)4070))); 
exit( -1 );} 
BgL_kz00_816 = 
(int)(BgL_iz00_506); 
BgL_arg1124z00_512 = 
STRUCT_REF(BgL_sz00_815, BgL_kz00_816); } 
BgL__andtest_1023z00_509 = 
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(BgL_arg1123z00_511, BgL_arg1124z00_512); } 
if(BgL__andtest_1023z00_509)
{ 
long BgL_iz00_1259;
BgL_iz00_1259 = 
(BgL_iz00_506+((long)1)); 
BgL_iz00_506 = BgL_iz00_1259; 
goto BgL_testz00_507;}  else 
{ /* ./Ieee/equiv.scm 124 */
BgL_aux2066z00_906 = ((bool_t)0); } } } }  else 
{ /* ./Ieee/equiv.scm 121 */
BgL_aux2066z00_906 = ((bool_t)0); } }  else 
{ /* ./Ieee/equiv.scm 120 */
BgL_aux2066z00_906 = ((bool_t)0); } } } }  else 
{ /* ./Ieee/equiv.scm 118 */
if(
CELLP(BgL_obj1z00_5))
{ /* ./Ieee/equiv.scm 126 */
if(
CELLP(BgL_obj2z00_6))
{ /* ./Ieee/equiv.scm 127 */
BgL_aux2066z00_906 = 
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CELL_REF(BgL_obj1z00_5), 
CELL_REF(BgL_obj2z00_6)); }  else 
{ /* ./Ieee/equiv.scm 127 */
BgL_aux2066z00_906 = ((bool_t)0); } }  else 
{ /* ./Ieee/equiv.scm 129 */
bool_t BgL_test1143z00_518;
if(BgL_test1062z00_473)
{ /* ./Ieee/equiv.scm 129 */
BgL_test1143z00_518 = ((bool_t)1); }  else 
{ /* ./Ieee/equiv.scm 129 */
BgL_test1143z00_518 = BgL_test1113z00_500; } 
if(BgL_test1143z00_518)
{ /* ./Ieee/equiv.scm 129 */
{ /* ./Ieee/equiv.scm 130 */
bool_t BgL_testz00_1270;
if(
INTEGERP(BgL_obj2z00_6))
{ /* ./Ieee/equiv.scm 130 */
BgL_testz00_1270 = ((bool_t)1)
; }  else 
{ /* ./Ieee/equiv.scm 130 */
BgL_testz00_1270 = 
REALP(BgL_obj2z00_6)
; } 
if(BgL_testz00_1270)
{ /* ./Ieee/equiv.scm 130 */
BgL_aux2066z00_906 = 
BGl_2zd3zd3zz__r4_numbers_6_5z00(BgL_obj1z00_5, BgL_obj2z00_6); }  else 
{ /* ./Ieee/equiv.scm 130 */
BgL_aux2066z00_906 = ((bool_t)0); } } }  else 
{ /* ./Ieee/equiv.scm 132 */
bool_t BgL_test1146z00_520;
BgL_test1146z00_520 = 
BGL_OBJECTP(BgL_obj1z00_5); 
if(BgL_test1146z00_520)
{ /* ./Ieee/equiv.scm 132 */
{ /* ./Ieee/equiv.scm 133 */
bool_t BgL__andtest_1026z00_521;
BgL__andtest_1026z00_521 = 
BGL_OBJECTP(BgL_obj2z00_6); 
if(BgL__andtest_1026z00_521)
{ /* ./Ieee/equiv.scm 134 */
BgL_objectz00_bglt BgL_auxz00_1286;BgL_objectz00_bglt BgL_auxz00_1279;
if(
BGL_OBJECTP(BgL_obj2z00_6))
{ /* ./Ieee/equiv.scm 134 */
BgL_auxz00_1286 = 
(BgL_objectz00_bglt)(BgL_obj2z00_6)
; }  else 
{ /* ./Ieee/equiv.scm 134 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2510z00zz__r4_equivalence_6_2z00, BGl_string2517z00zz__r4_equivalence_6_2z00, BgL_obj2z00_6, BGl_string2508z00zz__r4_equivalence_6_2z00, 
BINT(((long)4345))); 
exit( -1 );} 
if(
BGL_OBJECTP(BgL_obj1z00_5))
{ /* ./Ieee/equiv.scm 134 */
BgL_auxz00_1279 = 
(BgL_objectz00_bglt)(BgL_obj1z00_5)
; }  else 
{ /* ./Ieee/equiv.scm 134 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2510z00zz__r4_equivalence_6_2z00, BGl_string2517z00zz__r4_equivalence_6_2z00, BgL_obj1z00_5, BGl_string2508z00zz__r4_equivalence_6_2z00, 
BINT(((long)4340))); 
exit( -1 );} 
BgL_aux2066z00_906 = 
BGl_objectzd2equalzf3z21zz__objectz00(BgL_auxz00_1279, BgL_auxz00_1286); }  else 
{ /* ./Ieee/equiv.scm 133 */
BgL_aux2066z00_906 = ((bool_t)0); } } }  else 
{ /* ./Ieee/equiv.scm 135 */
bool_t BgL_test1149z00_522;
BgL_test1149z00_522 = 
UCS2_STRINGP(BgL_obj1z00_5); 
if(BgL_test1149z00_522)
{ /* ./Ieee/equiv.scm 135 */
{ /* ./Ieee/equiv.scm 136 */
bool_t BgL__andtest_1027z00_523;
BgL__andtest_1027z00_523 = 
UCS2_STRINGP(BgL_obj2z00_6); 
if(BgL__andtest_1027z00_523)
{ /* ./Ieee/equiv.scm 136 */
obj_t BgL_ucs2zd2string1zd2_833;obj_t BgL_ucs2zd2string2zd2_834;
if(BgL_test1149z00_522)
{ /* ./Ieee/equiv.scm 136 */
BgL_ucs2zd2string1zd2_833 = BgL_obj1z00_5; }  else 
{ /* ./Ieee/equiv.scm 136 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2510z00zz__r4_equivalence_6_2z00, BGl_string2518z00zz__r4_equivalence_6_2z00, BgL_obj1z00_5, BGl_string2508z00zz__r4_equivalence_6_2z00, 
BINT(((long)4427))); 
exit( -1 );} 
if(BgL__andtest_1027z00_523)
{ /* ./Ieee/equiv.scm 136 */
BgL_ucs2zd2string2zd2_834 = BgL_obj2z00_6; }  else 
{ /* ./Ieee/equiv.scm 136 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2510z00zz__r4_equivalence_6_2z00, BGl_string2518z00zz__r4_equivalence_6_2z00, BgL_obj2z00_6, BGl_string2508z00zz__r4_equivalence_6_2z00, 
BINT(((long)4432))); 
exit( -1 );} 
BgL_aux2066z00_906 = 
ucs2_strcmp(BgL_ucs2zd2string1zd2_833, BgL_ucs2zd2string2zd2_834); }  else 
{ /* ./Ieee/equiv.scm 136 */
BgL_aux2066z00_906 = ((bool_t)0); } } }  else 
{ /* ./Ieee/equiv.scm 135 */
if(
CUSTOMP(BgL_obj1z00_5))
{ /* ./Ieee/equiv.scm 137 */
if(
CUSTOMP(BgL_obj2z00_6))
{ /* ./Ieee/equiv.scm 138 */
obj_t BgL_obj1z00_837;obj_t BgL_obj2z00_838;
if(
CUSTOMP(BgL_obj1z00_5))
{ /* ./Ieee/equiv.scm 138 */
BgL_obj1z00_837 = BgL_obj1z00_5; }  else 
{ /* ./Ieee/equiv.scm 138 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2510z00zz__r4_equivalence_6_2z00, BGl_string2519z00zz__r4_equivalence_6_2z00, BgL_obj1z00_5, BGl_string2508z00zz__r4_equivalence_6_2z00, 
BINT(((long)4504))); 
exit( -1 );} 
if(
CUSTOMP(BgL_obj2z00_6))
{ /* ./Ieee/equiv.scm 138 */
BgL_obj2z00_838 = BgL_obj2z00_6; }  else 
{ /* ./Ieee/equiv.scm 138 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2510z00zz__r4_equivalence_6_2z00, BGl_string2519z00zz__r4_equivalence_6_2z00, BgL_obj2z00_6, BGl_string2508z00zz__r4_equivalence_6_2z00, 
BINT(((long)4509))); 
exit( -1 );} 
BgL_aux2066z00_906 = 
CUSTOM_CMP(BgL_obj1z00_837, BgL_obj2z00_838); }  else 
{ /* ./Ieee/equiv.scm 138 */
BgL_aux2066z00_906 = ((bool_t)0); } }  else 
{ /* ./Ieee/equiv.scm 139 */
bool_t BgL_test1155z00_526;
BgL_test1155z00_526 = 
FOREIGNP(BgL_obj1z00_5); 
if(BgL_test1155z00_526)
{ /* ./Ieee/equiv.scm 139 */
if(
FOREIGNP(BgL_obj2z00_6))
{ /* ./Ieee/equiv.scm 141 */
obj_t BgL_auxz00_1331;obj_t BgL_auxz00_1326;
if(
FOREIGNP(BgL_obj2z00_6))
{ /* ./Ieee/equiv.scm 141 */
BgL_auxz00_1331 = BgL_obj2z00_6
; }  else 
{ /* ./Ieee/equiv.scm 141 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2510z00zz__r4_equivalence_6_2z00, BGl_string2509z00zz__r4_equivalence_6_2z00, BgL_obj2z00_6, BGl_string2508z00zz__r4_equivalence_6_2z00, 
BINT(((long)4570))); 
exit( -1 );} 
if(BgL_test1155z00_526)
{ /* ./Ieee/equiv.scm 141 */
BgL_auxz00_1326 = BgL_obj1z00_5
; }  else 
{ /* ./Ieee/equiv.scm 141 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2510z00zz__r4_equivalence_6_2z00, BGl_string2509z00zz__r4_equivalence_6_2z00, BgL_obj1z00_5, BGl_string2508z00zz__r4_equivalence_6_2z00, 
BINT(((long)4570))); 
exit( -1 );} 
BgL_aux2066z00_906 = 
FOREIGN_EQP(BgL_auxz00_1326, BgL_auxz00_1331); }  else 
{ /* ./Ieee/equiv.scm 140 */
BgL_aux2066z00_906 = ((bool_t)0); } }  else 
{ /* ./Ieee/equiv.scm 142 */
bool_t BgL_test1158z00_528;
BgL_test1158z00_528 = 
UCS2P(BgL_obj1z00_5); 
if(BgL_test1158z00_528)
{ /* ./Ieee/equiv.scm 142 */
{ /* ./Ieee/equiv.scm 143 */
bool_t BgL__andtest_1030z00_529;
BgL__andtest_1030z00_529 = 
UCS2P(BgL_obj2z00_6); 
if(BgL__andtest_1030z00_529)
{ /* ./Ieee/equiv.scm 143 */
ucs2_t BgL_ucs2az00_845;ucs2_t BgL_ucs2bz00_846;
{ /* ./Ieee/equiv.scm 143 */
obj_t BgL_auxz00_1342;
if(BgL_test1158z00_528)
{ /* ./Ieee/equiv.scm 143 */
BgL_auxz00_1342 = BgL_obj1z00_5
; }  else 
{ /* ./Ieee/equiv.scm 143 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2510z00zz__r4_equivalence_6_2z00, BGl_string2520z00zz__r4_equivalence_6_2z00, BgL_obj1z00_5, BGl_string2508z00zz__r4_equivalence_6_2z00, 
BINT(((long)4652))); 
exit( -1 );} 
BgL_ucs2az00_845 = 
CUCS2(BgL_auxz00_1342); } 
{ /* ./Ieee/equiv.scm 143 */
obj_t BgL_auxz00_1348;
if(BgL__andtest_1030z00_529)
{ /* ./Ieee/equiv.scm 143 */
BgL_auxz00_1348 = BgL_obj2z00_6
; }  else 
{ /* ./Ieee/equiv.scm 143 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2510z00zz__r4_equivalence_6_2z00, BGl_string2520z00zz__r4_equivalence_6_2z00, BgL_obj2z00_6, BGl_string2508z00zz__r4_equivalence_6_2z00, 
BINT(((long)4657))); 
exit( -1 );} 
BgL_ucs2bz00_846 = 
CUCS2(BgL_auxz00_1348); } 
BgL_aux2066z00_906 = 
(BgL_ucs2az00_845==BgL_ucs2bz00_846); }  else 
{ /* ./Ieee/equiv.scm 143 */
BgL_aux2066z00_906 = ((bool_t)0); } } }  else 
{ /* ./Ieee/equiv.scm 144 */
bool_t BgL_test1161z00_530;
BgL_test1161z00_530 = 
ELONGP(BgL_obj1z00_5); 
if(BgL_test1161z00_530)
{ /* ./Ieee/equiv.scm 144 */
{ /* ./Ieee/equiv.scm 145 */
bool_t BgL__andtest_1031z00_531;
BgL__andtest_1031z00_531 = 
ELONGP(BgL_obj2z00_6); 
if(BgL__andtest_1031z00_531)
{ /* ./Ieee/equiv.scm 145 */
bool_t BgL_res2054z00_853;
{ /* ./Ieee/equiv.scm 145 */
obj_t BgL_n1z00_849;obj_t BgL_n2z00_850;
if(BgL_test1161z00_530)
{ /* ./Ieee/equiv.scm 145 */
BgL_n1z00_849 = BgL_obj1z00_5; }  else 
{ /* ./Ieee/equiv.scm 145 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2510z00zz__r4_equivalence_6_2z00, BGl_string2521z00zz__r4_equivalence_6_2z00, BgL_obj1z00_5, BGl_string2508z00zz__r4_equivalence_6_2z00, 
BINT(((long)4720))); 
exit( -1 );} 
if(BgL__andtest_1031z00_531)
{ /* ./Ieee/equiv.scm 145 */
BgL_n2z00_850 = BgL_obj2z00_6; }  else 
{ /* ./Ieee/equiv.scm 145 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2510z00zz__r4_equivalence_6_2z00, BGl_string2521z00zz__r4_equivalence_6_2z00, BgL_obj2z00_6, BGl_string2508z00zz__r4_equivalence_6_2z00, 
BINT(((long)4725))); 
exit( -1 );} 
{ /* ./Ieee/equiv.scm 145 */
long BgL_arg1740z00_851;long BgL_arg1741z00_852;
BgL_arg1740z00_851 = 
BELONG_TO_LONG(BgL_n1z00_849); 
BgL_arg1741z00_852 = 
BELONG_TO_LONG(BgL_n2z00_850); 
BgL_res2054z00_853 = 
(BgL_arg1740z00_851==BgL_arg1741z00_852); } } 
BgL_aux2066z00_906 = BgL_res2054z00_853; }  else 
{ /* ./Ieee/equiv.scm 145 */
BgL_aux2066z00_906 = ((bool_t)0); } } }  else 
{ /* ./Ieee/equiv.scm 146 */
bool_t BgL_test1164z00_532;
BgL_test1164z00_532 = 
LLONGP(BgL_obj1z00_5); 
if(BgL_test1164z00_532)
{ /* ./Ieee/equiv.scm 146 */
{ /* ./Ieee/equiv.scm 147 */
bool_t BgL__andtest_1032z00_533;
BgL__andtest_1032z00_533 = 
LLONGP(BgL_obj2z00_6); 
if(BgL__andtest_1032z00_533)
{ /* ./Ieee/equiv.scm 147 */
bool_t BgL_res2055z00_860;
{ /* ./Ieee/equiv.scm 147 */
obj_t BgL_n1z00_856;obj_t BgL_n2z00_857;
if(BgL_test1164z00_532)
{ /* ./Ieee/equiv.scm 147 */
BgL_n1z00_856 = BgL_obj1z00_5; }  else 
{ /* ./Ieee/equiv.scm 147 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2510z00zz__r4_equivalence_6_2z00, BGl_string2522z00zz__r4_equivalence_6_2z00, BgL_obj1z00_5, BGl_string2508z00zz__r4_equivalence_6_2z00, 
BINT(((long)4788))); 
exit( -1 );} 
if(BgL__andtest_1032z00_533)
{ /* ./Ieee/equiv.scm 147 */
BgL_n2z00_857 = BgL_obj2z00_6; }  else 
{ /* ./Ieee/equiv.scm 147 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2510z00zz__r4_equivalence_6_2z00, BGl_string2522z00zz__r4_equivalence_6_2z00, BgL_obj2z00_6, BGl_string2508z00zz__r4_equivalence_6_2z00, 
BINT(((long)4793))); 
exit( -1 );} 
{ /* ./Ieee/equiv.scm 147 */
BGL_LONGLONG_T BgL_auxz00_1384;BGL_LONGLONG_T BgL_auxz00_1382;
BgL_auxz00_1384 = 
BLLONG_TO_LLONG(BgL_n2z00_857); 
BgL_auxz00_1382 = 
BLLONG_TO_LLONG(BgL_n1z00_856); 
BgL_res2055z00_860 = 
(BgL_auxz00_1382==BgL_auxz00_1384); } } 
BgL_aux2066z00_906 = BgL_res2055z00_860; }  else 
{ /* ./Ieee/equiv.scm 147 */
BgL_aux2066z00_906 = ((bool_t)0); } } }  else 
{ /* ./Ieee/equiv.scm 148 */
bool_t BgL_test1167z00_534;
BgL_test1167z00_534 = 
BGL_DATEP(BgL_obj1z00_5); 
if(BgL_test1167z00_534)
{ /* ./Ieee/equiv.scm 148 */
{ /* ./Ieee/equiv.scm 149 */
bool_t BgL__andtest_1033z00_535;
BgL__andtest_1033z00_535 = 
BGL_DATEP(BgL_obj2z00_6); 
if(BgL__andtest_1033z00_535)
{ /* ./Ieee/equiv.scm 149 */
long BgL_arg1169z00_536;long BgL_arg1171z00_537;
{ /* ./Ieee/equiv.scm 149 */
obj_t BgL_datez00_863;
{ /* ./Ieee/equiv.scm 149 */
bool_t BgL_test2485z00_997;
BgL_test2485z00_997 = 
BGL_DATEP(BgL_obj1z00_5); 
if(BgL_test2485z00_997)
{ /* ./Ieee/equiv.scm 149 */
BgL_datez00_863 = BgL_obj1z00_5; }  else 
{ /* ./Ieee/equiv.scm 149 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2510z00zz__r4_equivalence_6_2z00, BGl_string2523z00zz__r4_equivalence_6_2z00, BgL_obj1z00_5, BGl_string2508z00zz__r4_equivalence_6_2z00, 
BINT(((long)4870))); 
exit( -1 );} } 
BgL_arg1169z00_536 = 
bgl_date_to_seconds(BgL_datez00_863); } 
{ /* ./Ieee/equiv.scm 149 */
obj_t BgL_datez00_864;
{ /* ./Ieee/equiv.scm 149 */
bool_t BgL_test2495z00_999;
BgL_test2495z00_999 = 
BGL_DATEP(BgL_obj2z00_6); 
if(BgL_test2495z00_999)
{ /* ./Ieee/equiv.scm 149 */
BgL_datez00_864 = BgL_obj2z00_6; }  else 
{ /* ./Ieee/equiv.scm 149 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2510z00zz__r4_equivalence_6_2z00, BGl_string2523z00zz__r4_equivalence_6_2z00, BgL_obj2z00_6, BGl_string2508z00zz__r4_equivalence_6_2z00, 
BINT(((long)4891))); 
exit( -1 );} } 
BgL_arg1171z00_537 = 
bgl_date_to_seconds(BgL_datez00_864); } 
BgL_aux2066z00_906 = 
(BgL_arg1169z00_536==BgL_arg1171z00_537); }  else 
{ /* ./Ieee/equiv.scm 149 */
BgL_aux2066z00_906 = ((bool_t)0); } } }  else 
{ /* ./Ieee/equiv.scm 148 */
BgL_aux2066z00_906 = ((bool_t)0); } } } } } } } } } } } } } } } } } } 
POP_TRACE(); 
return BgL_aux2066z00_906;} } } } 
}



/* _equal? */
obj_t BGl__equalzf3zf3zz__r4_equivalence_6_2z00(obj_t BgL_envz00_917, obj_t BgL_obj1z00_918, obj_t BgL_obj2z00_919)
{ AN_OBJECT;
{ /* ./Ieee/equiv.scm 90 */
{ /* ./Ieee/equiv.scm 92 */
bool_t BgL_auxz00_1405;
BgL_auxz00_1405 = 
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(BgL_obj1z00_918, BgL_obj2z00_919); 
return 
BBOOL(BgL_auxz00_1405);} } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zz__r4_equivalence_6_2z00()
{ AN_OBJECT;
{ /* ./Ieee/equiv.scm 14 */
{ /* ./Ieee/equiv.scm 14 */
obj_t BgL_symbol2071z00_907;
BgL_symbol2071z00_907 = BGl_symbol2524z00zz__r4_equivalence_6_2z00; 
{ /* ./Ieee/equiv.scm 14 */

PUSH_TRACE(BgL_symbol2071z00_907); BUNSPEC; 
POP_TRACE(); 
return BUNSPEC;} } } 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__r4_equivalence_6_2z00()
{ AN_OBJECT;
{ /* ./Ieee/equiv.scm 14 */
{ /* ./Ieee/equiv.scm 14 */
obj_t BgL_symbol2075z00_909;
BgL_symbol2075z00_909 = BGl_symbol2525z00zz__r4_equivalence_6_2z00; 
{ /* ./Ieee/equiv.scm 14 */

PUSH_TRACE(BgL_symbol2075z00_909); BUNSPEC; 
{ /* ./Ieee/equiv.scm 14 */
obj_t BgL_aux2074z00_910;
BgL_aux2074z00_910 = 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)11084), "__r4_equivalence_6_2"); 
POP_TRACE(); 
return BgL_aux2074z00_910;} } } } 
}

